NHLT-DMIC-INFO(1)

NAME
nhlt-dmic-info - dump microphone array information from ACPI NHLT table

SYNOPSIS
nhlt-dmic-info [-option]

DESCRIPTION

nhlt-dmic-info dumps microphone array information from ACPI NHLT table in JSON format.

OPTIONS

-h | --help

    Prints the help information.

-f <file> | --file=<file>

    Input file with the binary ACPI NHLT table (default is /sys/firmware/acpi/tables/NHLT).

-o <file> | --output=<file>

    JSON output file (default is stdout: -).

EXAMPLES
nhlt-dmic-info -f nhlt.bin -o dmic.json

BUGS
None known.

AUTHOR
nhlt-dmic-info is by Jaroslav Kysela <perex@perex.cz>. This document is by Jaroslav Kysela <perex@perex.cz>.